//
//  BookView.swift
//  UniversalLinkSample
//
//  Created by Loris Perret on 30/07/2024.
//

import SwiftUI

struct BookView: View {
    
    // MARK: - Properties

    let book: Book
    
    // MARK: - Body

    var body: some View {
        VStack {
            Text(book.title)
                .font(.largeTitle)
            
            Text(book.author)
                .font(.title)
        }
        .padding(48)
        .navigationTitle("Book")
        .navigationBarTitleDisplayMode(.large)
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        .background(.black.opacity(0.05))
    }
}

#Preview {
    BookView(book: Book.Mock.preview)
}
